package com.cntomorrow.entity.android.tj_yd.controller;

package ..deTemp.1732242647203;

import com.cntomorrow.entity.android.base.BaseController;
import com.cntomorrow.entity.android.tj_yd.entity.FgqInfoBean;
import com.cntomorrow.entity.android.tj_yd.entity.GjjxPanel;
import com.cntomorrow.entity.android.tj_yd.entity.ResultBean;
import com.cntomorrow.entity.android.tj_yd.service.GjjxPanelService;
import com.cntomorrow.entity.android.tj_yd.util.LogUtil;
import java.util.List;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/gjjxpanel"})
public class GjjxPanelController extends BaseController {
  private final Logger logger = LoggerFactory.getLogger(com.cntomorrow.entity.android.tj_yd.controller.GjjxPanelController.class);
  
  @Autowired
  private GjjxPanelService gjjxPanelService;
  
  @RequestMapping({"/querygjjxport"})
  @ResponseBody
  public Object queryGjjxPortInfo(@RequestParam String flag, @RequestParam String devfldid, @RequestParam String devfldtag) {
    GjjxPanel object = null;
    this.logger.info("flag=====================================" + flag);
    this.logger.info("fldid=====================================" + devfldid);
    this.logger.info("fldtag=====================================" + devfldtag);
    try {
      object = this.gjjxPanelService.findGjjxPortInfo(flag, devfldid, devfldtag);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return object;
  }
  
  @RequestMapping({"/queryFgqList"})
  @ResponseBody
  public Object queryFgqListInfo(@RequestParam String gjjxid, @RequestParam String gjjxtag) {
    FgqInfoBean object = null;
    this.logger.info("gjjxid=====================================" + gjjxid);
    this.logger.info("gjjxtag=====================================" + gjjxtag);
    try {
      object = this.gjjxPanelService.findFgqListInfo(gjjxid, gjjxtag);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return object;
  }
  
  @RequestMapping({"/updatePortLink"})
  @ResponseBody
  public Object updatePortLink(@RequestParam String porttag, @RequestParam String portid, @RequestParam String fldisdesign) {
    ResultBean object = null;
    this.logger.info("porttag=====================================" + porttag);
    this.logger.info("portid=====================================" + portid);
    this.logger.info("fldisdesign=====================================" + fldisdesign);
    try {
      long lngStartTime = System.currentTimeMillis();
      object = this.gjjxPanelService.updatePortLinkInfo(porttag, portid, fldisdesign);
      String costTime = (new StringBuilder(String.valueOf(System.currentTimeMillis() - lngStartTime))).toString();
      this.logger.info("更改连接信息用时" + costTime + "ms,开始记录日志...");
      List<String> writeSql = LogUtil.writeLog(this.request, portid, porttag, "光交接箱端子", "更改连接:" + portid, costTime, "10");
      this.gjjxPanelService.writeLog(writeSql);
      this.logger.info("日志记录完毕。");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return object;
  }
  
  @RequestMapping({"/queryBusinessInfo"})
  @ResponseBody
  public Object queryBusinessInfo(@RequestParam String business1, @RequestParam String business2) {
    ResultBean object = null;
    this.logger.info("business1=====================================" + business1);
    this.logger.info("business2=====================================" + business2);
    try {
      object = this.gjjxPanelService.queryBusinessInfo(business1, business2);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return object;
  }
  
  @RequestMapping({"/updateBusinessInfo"})
  @ResponseBody
  public Object updateBusinessInfo(@RequestParam String business1, @RequestParam String business2) {
    ResultBean object = null;
    this.logger.info("business1=====================================" + business1);
    this.logger.info("business2=====================================" + business2);
    try {
      long lngStartTime = System.currentTimeMillis();
      object = this.gjjxPanelService.updateBusinessInfo(business1, business2);
      String costTime = (new StringBuilder(String.valueOf(System.currentTimeMillis() - lngStartTime))).toString();
      this.logger.info("更改连接信息用时" + costTime + "ms,开始记录日志...");
      List<String> writeSql = LogUtil.writeLog(this.request, "", "", "", "更改业务:" + business1 + ";" + business2, costTime, "11");
      this.gjjxPanelService.writeLog(writeSql);
      this.logger.info("日志记录完毕。");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return object;
  }
}
